%define modname yaml
%define soname %{modname}.so
%define inifile B13_%{modname}.ini

Summary:	YAML-1.1 parser and emitter
Name:		php-%{modname}
Version:	2.2.1
Release:	%mkrel 1
Group:		Development/PHP
License:	MIT
URL:		http://pecl.php.net/package/yaml/
Source0:	http://pecl.php.net/get/yaml-%{version}.tgz
Source1:	B13_yaml.ini
BuildRequires:	php-devel >= 3:8.0.0
Requires:       php >= 3:8.0.0
Requires:       php-common = 3:8.0
BuildRequires:	pkgconfig
BuildRequires:	pkgconfig(yaml-0.1)


%description
Support for YAML 1.1 (YAML Ain't Markup Language) serialization using the
LibYAML library.

%prep

%setup -q -n %{modname}-%{version}
[ "../package*.xml" != "/" ] && mv ../package*.xml .

cp %{SOURCE1} %{inifile}

# lib64 fix
perl -pi -e "s|/lib\b|/%{_lib}|g" config.m4

%build
%serverbuild

phpize
%configure --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix}
%make_build
mv modules/*.so .

%install
install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m0755 %{soname} %{buildroot}%{_libdir}/php/extensions/
install -m0644 %{inifile} %{buildroot}%{_sysconfdir}/php.d/%{inifile}

%files
%doc package*.xml tests
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}



%changelog
* Sun Dec 20 2020 mokraemer <mokraemer> 2.2.1-1.mga8
+ Revision: 1662164
- new version 2.2.1

* Sun Nov 29 2020 mokraemer <mokraemer> 2.2.0-1.mga8
+ Revision: 1650163
- new version 2.2.0

* Thu Jun 18 2020 mokraemer <mokraemer> 2.1.0-2.mga8
+ Revision: 1596232
- fix dep to current version

* Fri Apr 24 2020 mokraemer <mokraemer> 2.1.0-1.mga8
+ Revision: 1571589
- new version 2.1.0

* Tue Feb 18 2020 umeabot <umeabot> 2.0.4-6.mga8
+ Revision: 1539011
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Nov 29 2019 mokraemer <mokraemer> 2.0.4-5.mga8
+ Revision: 1463550
+ rebuild (emptylog)

* Mon Oct 21 2019 mokraemer <mokraemer> 2.0.4-4.mga8
+ Revision: 1454931
- removed dirname

* Wed Dec 12 2018 mokraemer <mokraemer> 2.0.4-2.mga7
+ Revision: 1340499
- rebuild

* Tue Nov 27 2018 mokraemer <mokraemer> 2.0.4-1.mga7
+ Revision: 1335786
- new version 2.0.4

* Fri Oct 26 2018 mokraemer <mokraemer> 2.0.2-5.mga7
+ Revision: 1325896
- updated requirements

* Sun Sep 23 2018 umeabot <umeabot> 2.0.2-4.mga7
+ Revision: 1300254
- Mageia 7 Mass Rebuild

* Wed Apr 11 2018 pterjan <pterjan> 2.0.2-3.mga7
+ Revision: 1217406
- Rebuild for php 7.2, it was built with old php on arm

* Sun Dec 03 2017 mokraemer <mokraemer> 2.0.2-2.mga7
+ Revision: 1181031
+ rebuild (emptylog)

* Mon Nov 13 2017 zezinho <zezinho> 2.0.2-1.mga7
+ Revision: 1177248
- new version

* Tue Mar 22 2016 oden <oden> 1.2.0-1.mga6
+ Revision: 993999
- 1.2.0

* Fri Feb 12 2016 umeabot <umeabot> 1.1.0-10.mga6
+ Revision: 958501
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.1.0-9.mga5
+ Revision: 747708
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.0-8.mga5
+ Revision: 687563
- Mageia 5 Mass Rebuild

* Fri Apr 18 2014 oden <oden> 1.1.0-7.mga5
+ Revision: 616600
- rebuilt for php-5.6.0beta1

* Fri Jan 24 2014 pterjan <pterjan> 1.1.0-6.mga4
+ Revision: 567630
- Rebuild for new PHP

* Sat Oct 19 2013 umeabot <umeabot> 1.1.0-5.mga4
+ Revision: 527867
- Mageia 4 Mass Rebuild

* Thu Jun 13 2013 oden <oden> 1.1.0-4.mga4
+ Revision: 442747
- rebuilt for php-5.5.0RC3

* Wed Jan 30 2013 oden <oden> 1.1.0-3.mga3
+ Revision: 393379
- rebuilt for php-5.4.11

* Sun Jan 13 2013 umeabot <umeabot> 1.1.0-2.mga3
+ Revision: 377651
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jul 27 2012 spuhler <spuhler> 1.1.0-1.mga3
+ Revision: 274733
- upgrade to 1.1.0

* Mon Mar 19 2012 luigiwalser <luigiwalser> 1.0.1-3.mga2
+ Revision: 223956
- httpd restart is handled by filetriggers now

* Mon Jul 11 2011 spuhler <spuhler> 1.0.1-2.mga2
+ Revision: 122072
- imported package php-yaml

